using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Keyless]
public partial class VwPipelineOverviewInfo
{
    [Column("pipe_id")]
    public int? PipeId { get; set; }

    [Column("pipe_name", TypeName = "citext")]
    public string? PipeName { get; set; }

    [Column("pipe_short", TypeName = "citext")]
    public string? PipeShort { get; set; }

    [Column("pipe_code", TypeName = "citext")]
    public string? PipeCode { get; set; }

    [Column("commodities", TypeName = "citext")]
    public string? Commodities { get; set; }
}
